using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Project._Common
{
    public partial class fNewPassword : Form
    {
        public fNewPassword(string userid)
        {
            InitializeComponent();
            this.tbUserID.Text = userid;   
        }

        private void fNewPassword_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if(tbPassO.Text.isEmpty())
            {
                Util.MsgE("OLd Password Error");
                tbPassO.Focus();
                return;
            }
            if(tbPass1.Text.isEmpty())
            {
                Util.MsgE("NEW Password Error");
                tbPass1.Focus();
                return;
            }
            if(tbPass2.Text.isEmpty())
            {
                Util.MsgE("New Password Verify Error");
                tbPass2.Focus();
                return;
            }
            if(tbPass2.Text != tbPass1.Text)
            {
                Util.MsgE("Password is not Same");
                tbPass2.Focus();
                tbPass2.SelectAll();
                return;
            }
            DialogResult = System.Windows.Forms.DialogResult.OK;
        }
    }
}
